API reference
integrations
API reference descriptions are provided in English to preserve the exact published contract.
Read a contact's recent Shopify orders
GET /v1/accounts/{AC}/contacts/{CT}/shopify-orders
getV1AccountsByAcContactsByCtShopifyOrders200
Required scope: `contacts:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string | yes | |
CT | path · string (CT… SID) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Read the Shopify store connection
GET /v1/accounts/{AC}/integrations/shopify
getV1AccountsByAcIntegrationsShopify200
Required scope: `accounts:read`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Disconnect Shopify
DELETE /v1/accounts/{AC}/integrations/shopify
deleteV1AccountsByAcIntegrationsShopify200
Required scope: `accounts:write`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
Request body (1 fields)
Request body| Name | Type | Required | Description |
|---|
stepUpToken | string (max 256 chars) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Complete Shopify authorization
POST /v1/accounts/{AC}/integrations/shopify/complete
postV1AccountsByAcIntegrationsShopifyCompleteIdempotency-Key required200
Required scope: `accounts:write`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
Request body (1 fields)
Request body| Name | Type | Required | Description |
|---|
query | object | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.
Start Shopify authorization
POST /v1/accounts/{AC}/integrations/shopify/connect
postV1AccountsByAcIntegrationsShopifyConnectIdempotency-Key required200
Required scope: `accounts:write`.
Parameters
Parameters| Name | Type | Required | Description |
|---|
AC | path · string (AC… SID) | yes | Account SID |
Request body (2 fields)
Request body| Name | Type | Required | Description |
|---|
shop | string (max 128 chars) | yes | |
stepUpToken | string (max 256 chars) | yes | |
Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.